# $Revision: 1.47.2.1 $, $Date: 2003/12/11 22:52:55 $
%bcond_with kernel25
Summary:	DevFS Daemon
Summary(pl):	Demon DevFS
Name:		devfsd
Version:	1.3.25
Release:	4
License:	GPL
Group:		Base
Source0:	ftp://ftp.atnf.csiro.au/pub/people/rgooch/linux/daemons/devfsd/%{name}-v%{version}.tar.gz
# Source0-md5:	44c6394b8e2e8feaf453aeddc8a3ee69
Source1:	%{name}.conf
Patch0:		%{name}-lirc.patch
Patch1:		%{name}-optflags.patch
Patch2:		%{name}-kernel2.5.patch
Patch3:		%{name}-drzewo.patch
URL:		http://www.atnf.csiro.au/~rgooch/linux/
Conflicts:	kernel =< 2.2
Requires:	devfs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_exec_prefix	/

%description
The devfsd programme is a daemon, run by the system boot scripts which
can provide for intelligent management of device entries in the Device
Filesystem (devfs).

As part of its setup phase devfsd creates certain symbolic links which
are compiled into the code. These links are required by
/usr/src/linux/Documentation/devices.txt. This behaviour may change in
future revisions.

devfsd will read the special control file .devfsd in a mounted devfs,
listening for the creation and removal of device entries (this is
termed a change operation). For each change operation, devfsd can take
many actions. The daemon will normally run itself in the background
and send messages to syslog.

The opening of the syslog service is automatically delayed until
/dev/log is created.

At startup, before switching to daemon mode, devfsd will scan the
mounted device tree and will generate synthetic REGISTER events for
each leaf node.

%description -l pl
Devfsd jest demonem startowanym ze skryptw startowych systemu, ktry
daje moliwo inteligentnego zarzdzania wpisami w Device Filesystem
(devfs). Jako cz fazy ustawie devfsd tworzy linki symboliczne,
ktre s wkompilowane w kod. Te linki s wymagane zgodnie z
/usr/src/linux/Documentation/devices.txt. To zachowanie moe si
zmieni w przyszoci.

devfsd czyta specjalny plik kontrolny .devfsd w zamontowanym katalogu
devfs i czeka na na tworzenie i usuwanie wpisw urzdze (nazywa si
to operacj zmiany). Dla kadej zmiany devfsd moe podj wiele
dziaa. Demon normalnie uruchamia sam siebie i wysya komunikat do
syslog'a.

Otwarcie syslog'a jest normalnie automatycznie opnione do czasu, gdy
/dev/log nie zostanie utworzony.

Demon systemu plikw urzdze. Pozwala na uywanie "tradycyjnych" nazw
urzdze.

%prep
%setup  -q -n devfsd
%patch0 -p1
%patch1 -p1
%if %{with kernel25}
%patch2 -p1
%endif
%patch3 -p1

%build
%{__make} CC="%{__cc}" CEXTRAS="%{rpmcflags} -I."

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/{man8,man5},%{_sysconfdir}}

install devfsd		$RPM_BUILD_ROOT%{_sbindir}
install devfsd.8	$RPM_BUILD_ROOT%{_mandir}/man8
install devfsd.conf.5	$RPM_BUILD_ROOT%{_mandir}/man5
install modules.devfs	$RPM_BUILD_ROOT%{_sysconfdir}/modules.devfs
install %{SOURCE1} 	$RPM_BUILD_ROOT%{_sysconfdir}/devfsd.conf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/devfsd.conf
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/modules.devfs
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man?/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: devfsd.spec,v $
Revision 1.47.2.1  2003/12/11 22:52:55  orzech
- version for Ra-2.4-pack

Revision 1.47  2003/07/16 19:59:34  malekith
- %ifwith shouldn't be used (more info on devel-en soon)

Revision 1.46  2003/07/07 12:10:17  adasi
 - mooo, mooooo mooooo

Revision 1.45  2003/07/07 11:21:42  adasi
 - patch for /dev/drzewo :)

Revision 1.44  2003/06/12 15:12:18  wiget
- added patch to make devfsd compatible with module-init-tools

Revision 1.43  2003/05/26 21:24:28  djrzulf
- force rpm %%optflags

Revision 1.42  2003/05/26 16:24:53  malekith
- massive attack: adding Source-md5

Revision 1.41  2003/05/25 05:46:41  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.40  2002/12/28 16:29:56  qboosh
- don't force gzipped infos and mans, some other fixes/cosmetics where necessary

Revision 1.39  2002/09/14 16:07:08  ggodlewski
- added lirc probe

Revision 1.38  2002/05/07 16:09:26  misiek
- updated to 1.3.25

Revision 1.37  2002/04/25 16:10:34  arturs
fixed a small typo

Revision 1.36  2002/02/23 01:44:58  kloczek
- adapterized.

Revision 1.35  2002/02/22 23:28:47  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.34  2002/02/20 17:13:52  filon
- updated to 1.3.24

Revision 1.33  2002/02/13 17:58:41  aflinta
- updated to version 1.3.23

Revision 1.32  2002/01/18 02:12:41  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.31  2002/01/16 11:55:35  filon
- updated to 1.3.21

Revision 1.30  2001/11/30 14:46:39  misiek
- use %%{__cc}

Revision 1.29  2001/11/30 14:45:38  misiek
- updated to 1.3.20

Revision 1.28  2001/11/08 14:22:25  misiek
- removed devfsd.init; stupid idea by orzech

Revision 1.27  2001/11/06 00:00:06  orzech
- fixed typos
- rel. 2, STB

Revision 1.26  2001/11/05 22:27:17  orzech
- added devfsd.init

Revision 1.25  2001/10/10 14:06:05  wiget
use CEXTRAS not CFLAGS to pass optimizations flags

Revision 1.24  2001/10/10 13:57:18  aflinta
- started update to version 1.3.18

Revision 1.23  2001/09/30 10:59:10  blues
- pl translation

Revision 1.22  2001/08/22 10:20:09  wrobell
- requires devfs
- adapterized
- rel. 2, stb

Revision 1.21  2001/08/17 11:37:39  areq
- 1.3.16

Revision 1.20  2001/08/11 17:19:11  blues
- 1.3.14
- better description
- macros used
- missing man
- conflicts kernel =< 2.2
- added killing daemon in pre and post.

Revision 1.19  2001/07/30 21:55:27  areq
- 1.3.12

Revision 1.18  2001/04/30 16:05:16  kloczek
- added using %%{rpmcflags} macro.

Revision 1.17  2001/02/06 08:39:23  misiek
1.3.11

Revision 1.16  2001/01/04 09:54:24  michuz
- added Group and Summary translation

Revision 1.15  2001/01/04 09:24:49  michuz
- added modules.devfs to %%{_sysconfdir}

Revision 1.14  2000/12/28 14:55:47  baggins
- release 2
- fixed CFLAGS

Revision 1.13  2000/07/04 06:31:56  wiget
v1.3.10

Revision 1.12  2000/06/09 07:22:49  kloczek
- added using %%{__make} macro.

Revision 1.11  2000/05/18 17:35:47  kloczek
- spec adapterized.

Revision 1.10  2000/04/28 05:52:46  wiget
1.3.7

Revision 1.9  2000/04/27 06:51:58  wiget
updated to 1.3.6

Revision 1.8  2000/04/19 07:24:46  waszi
- updated to 1.3.5

Revision 1.7  2000/04/18 06:20:41  waszi
- updated to 1.3.4

Revision 1.6  2000/04/01 11:14:25  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/28 16:54:16  baggins
- translated kloczkish into english

Revision 1.4  2000/03/28 11:11:53  arturs
typo

Revision 1.3  2000/03/27 15:42:25  arturs
- added %description -l pl

Revision 1.2  2000/02/18 09:28:34  wiget
- devfsd.conf as separate source (to easy maintaining)

Revision 1.1  2000/02/18 08:36:06  waszi
- initial release
